# Definitional proc to organize widgets for parameters.
proc init_gui { IPINST } {
  ipgui::add_param $IPINST -name "Component_Name"
  #Adding Page
  set Page_0 [ipgui::add_page $IPINST -name "Page 0"]
  ipgui::add_param $IPINST -name "C_ADDRESS_WIDTH" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_CLKS_ASYNC" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_DATA_WIDTH" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_S_AXIS_REGISTERED" -parent ${Page_0}


}

proc update_PARAM_VALUE.C_ADDRESS_WIDTH { PARAM_VALUE.C_ADDRESS_WIDTH } {
	# Procedure called to update C_ADDRESS_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_ADDRESS_WIDTH { PARAM_VALUE.C_ADDRESS_WIDTH } {
	# Procedure called to validate C_ADDRESS_WIDTH
	return true
}

proc update_PARAM_VALUE.C_CLKS_ASYNC { PARAM_VALUE.C_CLKS_ASYNC } {
	# Procedure called to update C_CLKS_ASYNC when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_CLKS_ASYNC { PARAM_VALUE.C_CLKS_ASYNC } {
	# Procedure called to validate C_CLKS_ASYNC
	return true
}

proc update_PARAM_VALUE.C_DATA_WIDTH { PARAM_VALUE.C_DATA_WIDTH } {
	# Procedure called to update C_DATA_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_DATA_WIDTH { PARAM_VALUE.C_DATA_WIDTH } {
	# Procedure called to validate C_DATA_WIDTH
	return true
}

proc update_PARAM_VALUE.C_S_AXIS_REGISTERED { PARAM_VALUE.C_S_AXIS_REGISTERED } {
	# Procedure called to update C_S_AXIS_REGISTERED when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S_AXIS_REGISTERED { PARAM_VALUE.C_S_AXIS_REGISTERED } {
	# Procedure called to validate C_S_AXIS_REGISTERED
	return true
}


proc update_MODELPARAM_VALUE.C_DATA_WIDTH { MODELPARAM_VALUE.C_DATA_WIDTH PARAM_VALUE.C_DATA_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_DATA_WIDTH}] ${MODELPARAM_VALUE.C_DATA_WIDTH}
}

proc update_MODELPARAM_VALUE.C_CLKS_ASYNC { MODELPARAM_VALUE.C_CLKS_ASYNC PARAM_VALUE.C_CLKS_ASYNC } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_CLKS_ASYNC}] ${MODELPARAM_VALUE.C_CLKS_ASYNC}
}

proc update_MODELPARAM_VALUE.C_ADDRESS_WIDTH { MODELPARAM_VALUE.C_ADDRESS_WIDTH PARAM_VALUE.C_ADDRESS_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_ADDRESS_WIDTH}] ${MODELPARAM_VALUE.C_ADDRESS_WIDTH}
}

proc update_MODELPARAM_VALUE.C_S_AXIS_REGISTERED { MODELPARAM_VALUE.C_S_AXIS_REGISTERED PARAM_VALUE.C_S_AXIS_REGISTERED } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_S_AXIS_REGISTERED}] ${MODELPARAM_VALUE.C_S_AXIS_REGISTERED}
}

