ECHO OFF

del fpga.bit 2>nul

IF "%FPGA_FAMILY%"=="xc7z015" (
    set PART=%FPGA_FAMILY%clg485-1

) ELSE IF "%FPGA_FAMILY%"=="xc7z030" (
    set PART=%FPGA_FAMILY%sbg485-1

) ELSE (
    echo "Environment variable FPGA_FAMILY=%FPGA_FAMILY% is not valid, Valid are: xc7z015 xc7z030"
    exit /b 1
)

cd IP/dyplo
for /r %%i in (*.zip) do powershell -command "expand-archive %%i -Force"
cd ../../

set VIVADO_TCL=vivado -nolog -nojournal -mode batch -notrace -source

call %VIVADO_TCL% generate_bitstream.tcl -tclargs %PART%

copy %PART%\%PART%.runs\impl_1\*.bit fpga.bit

if exist fpga.bit (
    exit /b 0
) else (
    exit /b 1
)